Update a file
Update a file. After you upload the file contents to S3, call this endpoint to mark the upload as SUCCEEDED. See Create a file for documentation of the full upload flow.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
file_id
The ID of the file
Request
This endpoint expects an object.
customFields
Custom field values to add to the file
folderId
ID of the folder that the file is moved into
uploadStatus
Allowed values:
Response
OK
errorMessage
uploadStatus
Allowed values:
archiveRecord
ArchiveRecord Resource if the file is archived. This is null if the file is not archived.
createdAt
Date and time the file was created
creator
UserSummary of the user who created the file
customFields
Custom field values of the file
displayId
User-friendly ID of the file
filename
folderId
ID of the folder that contains the file
id
modifiedAt
Date and time the file was last modified
name
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error